Workflows
Automations and their runs.
- GET
/workflows - POST
/workflows - GET
/workflows/{id} - PATCH
/workflows/{id} - DELETE
/workflows/{id} - GET
/workflows/runs - POST
/workflows/{id}/test
List workflows (automations)
GET
/workflowsScope
workflows:viewRead-onlyResponses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/workflows" \ -H "Authorization: Bearer $KLERC_TOKEN"Create a workflow
POST
/workflowsScope
workflows:manageWrites dataRequest body
| Field | Type |
|---|---|
namerequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/workflows" \ -H "Authorization: Bearer $KLERC_TOKEN" \ -H "Content-Type: application/json" \ -d '{"name":"…"}'Get a workflow
GET
/workflows/{id}Scope
workflows:viewRead-onlyPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/workflows/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"Update a workflow
PATCH
/workflows/{id}Scope
workflows:manageWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/workflows/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"Delete a workflow
DELETE
/workflows/{id}Scope
workflows:manageWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X DELETE "https://api.klerc.co/api/v1/workflows/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"List workflow runs
GET
/workflows/runsScope
workflows:viewRead-onlyQuery parameters
| Name | Type |
|---|---|
limit | number |
cursor | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/workflows/runs?limit=25" \ -H "Authorization: Bearer $KLERC_TOKEN"Test-run a workflow
POST
/workflows/{id}/testScope
workflows:manageWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/workflows/{id}/test" \ -H "Authorization: Bearer $KLERC_TOKEN"